!
!
!
!
!
!
!

!
version 12.4
service timestamps debug datetime msec
service timestamps log datetime msec
no service password-encryption
!
hostname Oeiras
!
boot-start-marker
boot-end-marker
!
!
no aaa new-model
no ip icmp rate-limit unreachable
!
!
ip cef
no ip domain lookup
!
!
ip vrf VPN-1
 rd 1000:1
 route-target export 1000:1
 route-target import 1000:1
!
ipv6 unicast-routing
mpls traffic-eng tunnels
!
!
!
!
!
!
!
!
!
!
!
!
!
!
!
!
ip tcp synwait-time 5
! 
!
!
!
!
interface Loopback0
 ip address 10.0.0.3 255.255.255.255
 ip ospf 1 area 0
 ipv6 address 2001:100:1:1::3/128
 ipv6 enable
 ipv6 ospf 1 area 0
!
interface FastEthernet0/0
 no ip address
 shutdown
 duplex auto
 speed auto
!
interface FastEthernet0/1
 no ip address
 shutdown
 duplex auto
 speed auto
!
interface FastEthernet1/0
 ip address 10.0.1.3 255.255.255.0
 ip ospf 1 area 0
 duplex auto
 speed auto
 ipv6 address 2001:100:1:100::3/64
 ipv6 enable
 ipv6 ospf 1 area 0
 mpls ip
 mpls traffic-eng tunnels
 ip rsvp bandwidth 2500 2500
!
interface FastEthernet1/1
 ip address 10.0.2.17 255.255.255.252
 ip ospf 1 area 0
 duplex auto
 speed auto
 ipv6 address 2001:100:1:2::11/126
 ipv6 enable
 ipv6 ospf 1 area 0
 mpls ip
 mpls traffic-eng tunnels
 ip rsvp bandwidth 2500 2500
!
interface FastEthernet2/0
 ip vrf forwarding VPN-1
 ip address 10.0.2.13 255.255.255.252
 ip ospf 2 area 0
 duplex auto
 speed auto
 ipv6 address 2001:100:1:2::D/126
 ipv6 enable
 ipv6 ospf 2 area 0
!
interface FastEthernet2/1
 no ip address
 shutdown
 duplex auto
 speed auto
!
interface FastEthernet3/0
 no ip address
 shutdown
 duplex auto
 speed auto
!
interface FastEthernet3/1
 no ip address
 shutdown
 duplex auto
 speed auto
!
!
router ospf 2 vrf VPN-1
 log-adjacency-changes
 default-information originate always
!
router ospf 1
 mpls traffic-eng router-id Loopback0
 mpls traffic-eng area 0
 log-adjacency-changes
!
router bgp 1000
 bgp log-neighbor-changes
 neighbor 10.0.0.1 remote-as 1000
 neighbor 10.0.0.1 update-source Loopback0
 neighbor 10.0.0.2 remote-as 1000
 neighbor 10.0.0.2 update-source Loopback0
 neighbor 10.0.0.4 remote-as 1000
 neighbor 10.0.0.4 update-source Loopback0
 neighbor 10.0.0.5 remote-as 1000
 neighbor 10.0.0.5 update-source Loopback0
 neighbor 2001:100:1:1::1 remote-as 1000
 neighbor 2001:100:1:1::1 update-source Loopback0
 neighbor 2001:100:1:1::2 remote-as 1000
 neighbor 2001:100:1:1::2 update-source Loopback0
 neighbor 2001:100:1:1::4 remote-as 1000
 neighbor 2001:100:1:1::4 update-source Loopback0
 neighbor 2001:100:1:1::5 remote-as 1000
 neighbor 2001:100:1:1::5 update-source Loopback0
 !
 address-family ipv4
  neighbor 10.0.0.1 activate
  neighbor 10.0.0.1 next-hop-self
  neighbor 10.0.0.2 activate
  neighbor 10.0.0.2 next-hop-self
  neighbor 10.0.0.4 activate
  neighbor 10.0.0.4 next-hop-self
  neighbor 10.0.0.5 activate
  neighbor 10.0.0.5 next-hop-self
  no neighbor 2001:100:1:1::1 activate
  no neighbor 2001:100:1:1::2 activate
  no neighbor 2001:100:1:1::4 activate
  no neighbor 2001:100:1:1::5 activate
  no auto-summary
  no synchronization
 exit-address-family
 !
 address-family vpnv4
  neighbor 10.0.0.4 activate
  neighbor 10.0.0.4 send-community both
 exit-address-family
 !
 address-family ipv6
  neighbor 2001:100:1:1::1 activate
  neighbor 2001:100:1:1::1 next-hop-self
  neighbor 2001:100:1:1::2 activate
  neighbor 2001:100:1:1::2 next-hop-self
  neighbor 2001:100:1:1::4 activate
  neighbor 2001:100:1:1::4 next-hop-self
  neighbor 2001:100:1:1::5 activate
  neighbor 2001:100:1:1::5 next-hop-self
  redistribute ospf 2
  no synchronization
 exit-address-family
 !
 address-family ipv4 vrf VPN-1
  redistribute ospf 2 vrf VPN-1
  no synchronization
 exit-address-family
!
ip forward-protocol nd
ip route vrf VPN-1 0.0.0.0 0.0.0.0 10.0.0.4 global
!
no ip http server
no ip http secure-server
!
!
no cdp log mismatch duplex
ipv6 router ospf 1
 log-adjacency-changes
 distance 220
!
ipv6 router ospf 2
 log-adjacency-changes
 default-information originate always
!
!
!
!
control-plane
!
!
!
!
!
!
gatekeeper
 shutdown
!
!
line con 0
 exec-timeout 0 0
 privilege level 15
 logging synchronous
 stopbits 1
line aux 0
 exec-timeout 0 0
 privilege level 15
 logging synchronous
 stopbits 1
line vty 0 4
 login
!
!
end
